#!/bin/sh -

sed -i '/edge\/testing/ s/^#/@testing /' /etc/apk/repositories
apk update
cat misc/pkgs.lst | xargs apk add

tar -C image -cp . | tar -C / -xp
mkdir /etc/s6-rc/db
s6-rc-compile /etc/s6-rc/db/main /etc/s6-rc/main
mkinitfs

sed -i '/^default_kernel_opts=/ s@"$@ init=/etc/s6-init/bin/rc.boot"@' \
	/etc/update-extlinux.conf
update-extlinux

